slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSCISSSetRefinement

Sets the values of various refinement parameters in the CISS solver.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSCISSSetRefinement(EPS eps,PetscInt inner,PetscInt blsize)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| inner | - number of iterative refinement iterations (inner loop)
| blsize | - number of iterative refinement iterations (blocksize loop)

### Options Database Keys

| -eps_ciss_refine_inner | - Sets number of inner iterations
| -eps_ciss_refine_blocksize | - Sets number of blocksize iterations

### See Also

EPSCISSGetRefinement()

### Level

advanced

### Location

src/eps/impls/ciss/ciss.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages